cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/purchase_invoices?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.purchase_invoices.get_purchase_invoices({"limit": 20})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchaseInvoices.getPurchaseInvoices({limit: 20});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchaseInvoices->getPurchaseInvoices(['limit' => 20]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_invoices.purchase_invoices_dto.PurchaseInvoicesDto.PurchaseInvoiceList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchaseInvoiceList> response = client.purchaseInvoices().getPurchaseInvoices(
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchaseInvoices.GetPurchaseInvoicesAsync(new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchaseInvoices.getPurchaseInvoices(
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchaseInvoices().GetPurchaseInvoices(context.Background(), map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"alternate_due_date": "<string>",
"alternate_issue_date": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"custom_form": "<unknown>",
"due_date": "<string>",
"id": "<string>",
"issue_date": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"origin": "<string>",
"payment_status": "<string>",
"price_tax_inclusive": true,
"purchase_order": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"status": "<string>",
"subtotal": "<string>",
"tax": "<string>",
"total": "<string>",
"uuid": "<string>",
"version": 123
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Purchase invoices
List purchase invoices
Returns one page of purchase invoices.
GET
/
purchase_invoices
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/purchase_invoices?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.purchase_invoices.get_purchase_invoices({"limit": 20})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.purchaseInvoices.getPurchaseInvoices({limit: 20});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->purchaseInvoices->getPurchaseInvoices(['limit' => 20]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.purchase_invoices.purchase_invoices_dto.PurchaseInvoicesDto.PurchaseInvoiceList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<PurchaseInvoiceList> response = client.purchaseInvoices().getPurchaseInvoices(
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.PurchaseInvoices.GetPurchaseInvoicesAsync(new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.purchaseInvoices.getPurchaseInvoices(
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.PurchaseInvoices().GetPurchaseInvoices(context.Background(), map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"alternate_due_date": "<string>",
"alternate_issue_date": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"custom_form": "<unknown>",
"due_date": "<string>",
"id": "<string>",
"issue_date": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"origin": "<string>",
"payment_status": "<string>",
"price_tax_inclusive": true,
"purchase_order": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"status": "<string>",
"subtotal": "<string>",
"tax": "<string>",
"total": "<string>",
"uuid": "<string>",
"version": 123
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Lists the purchase invoices on the account, one page at a time, under
data. Pass pagination.next_cursor back as cursor to read the next page. Other fields filter the list as filter_<field> or filter_<field>_<operator>.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Query Parameters
The most records to return on one page.
Example:
20
The next_cursor value from the previous page, to read the next one.
The field to sort by. Prefix it with - for descending order, such as -created_on.
Example:
"-created_on"